-- name: [PET] Boxy Boy
-- description: C'mon Mario, Relax!

if not _G.wpets then return end

local E_MODEL_BOXY = smlua_model_util_get_id('boxyboy_geo')

local ID_BOXY = _G.wpets.add_pet({
	name = "Boxy Boy", credit = "MlopsFunny - Import, Cavan Ashton - Provided Model",
	description = "C'mon Mario, Relax! It's Practice Time!",
	modelID = E_MODEL_BOXY,
	scale = 1.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_wing(ID_BOXY)

_G.wpets.set_pet_sounds(ID_BOXY, {
	spawn = 'boxy_ok.ogg',
	happy = 'boxy_ok.ogg'
})

-- required hook for samples (audio files from the mod's 'sound' folder)
-- if no pets in your pack use samples, you can remove this section.
hook_event(HOOK_UPDATE, function ()
	-- copy the following line for each pet in the pack that uses samples.
    _G.wpets.process_pet_samples(ID_BOXY)
end)